
import random
from autobahn.wamp import ApplicationSession
from twisted.internet import reactor
from twisted.plugin import IPlugin, getPlugins
from twisted.protocols import amp

def random_wamp_function():
    plugins = getPlugins(IPlugin)
    plugin = random.choice(plugins)
    protocol = plugin.create()
    
    class WampSession(amp.AMPProtocol, ApplicationSession):
        def onJoin(self, details):
            print("Client joined: {}".format(details))
            self.sendMessage(amp.Dict({
                'op': 'call',
                'procedure': 'random_procedure',
                'args': []
            }))
    
    factory = amp.AMPFactory()
    factory.protocol = WampSession
    
    reactor.listenTCP(8080, factory)
    reactor.run()



